@echo off
REM cq3map.cmd -- compile a quake 3 arena map file to bsp
REM requires q3map2
REM usage: "cq3map.cmd <mapname> [-t | -tl]"
REM written by spirit -- http://maps.rcmd.org, WTFPL applies ;)

REM settings
@set Q3MAP2PATH="D:\games\quake3\baseq3\tools\q3map2.exe"
@set BSPCPATH="D:\games\quake3\baseq3\tools\bspc.exe"
@set MAPPATH="D:\games\quake3\baseq3\maps\%1.map"
@set BSPPATH="D:\games\quake3\baseq3\maps\%1.bsp"

REM check for args
if {%1} == {} (call :HELP) & (goto :EOF)

REM this is always done
%Q3MAP2PATH% -skyfix -meta -v %MAPPATH%

if {%2} == {-t} (call :TEST) & (call :BOTS) & (goto :EOF)
if {%2} == {-tl} (call :TESTLIGHT) & (call :BOTS) & (goto :EOF)

REM this will be done without any special params: full quality
%Q3MAP2PATH% -vis -v %MAPPATH%
%Q3MAP2PATH% -light -fast -patchshadows -samples 3 -bounce 8 -gamma 2 -compensate 4 -dirty -v %MAPPATH%

echo "done (full quality)"
goto :EOF

:TEST
%Q3MAP2PATH% -vis -v %MAPPATH%
echo "done (meta+vis)."
goto :EOF

:BOTS
%BSPCPATH% -bsp2aas %BSPPATH%
echo "Bots done."
goto :EOF


:TESTLIGHT
%Q3MAP2PATH% -vis -v %MAPPATH%
%Q3MAP2PATH% -light -fast %MAPPATH%
echo "done (fast+light)."
goto :EOF


:HELP
echo USAGE
echo =====
echo "cq3map <mapname> [-t]"
echo "<mapname>: name of your mapfile, no extension"
echo "-t: layout test compile (bsp, fast vis, no light)"
echo "-tl: light test compile (bsp, fast vis, fast light)"
echo ---------------------------------------------------------
goto :EOF

:EOF
pause
exit